<template lang="html">
  <div class="dropdown" :class="{toggled}">
    <a @click="toggled=!toggled"><span>{{ label }}</span><butter-icon name="triangle-down" width="8" height="5" /></a>
    <flex class="list" dir="column" v-show="toggled" @click.native="toggled=false">
      <slot></slot>
    </flex>
  </div>
</template>

<script>
export default {
  name: 'drop-down',
  props: ['label'],
  data() {
    return {
      toggled: false
    };
  },
}
</script>

<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';

.dropdown {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 75px;
  position: relative;

  > a {
    @include themify($themes) {
      color: themed('color-button-primary');
    }
    @include flex;
    cursor: pointer;
    span {
     padding-right: $grid*2;
   }
  }
}
.dropdown.toggled {
  @include themify($themes) {
    background-color: themed('color-bg-secondary');
  }

  a {
    @include themify($themes) {
      color: themed('color-text-primary');
    }
  }
  > a span {
    @include themify($themes) {
      color: themed('color-text-primary');
    }
  }
}
.list {
  @include themify($themes) {
    background-color: themed('color-bg-secondary');
    box-shadow: themed('box-shadow');
  }

  position: absolute;
  top: 100%;
  right: 0;
  z-index: 9;
  width: auto;
  flex-shrink: 0;
}
.list /deep/ a {
  @include themify($themes) {
    color: themed('color-text-primary');
  }

  box-sizing: border-box;
  display: flex;
  flex-basis: 100%;
  flex-grow: 1;
  padding: 25px;
  white-space: nowrap;
  border-left: 2px solid transparent;

  &:after {
    content: "";
    display: flex;
    flex-basis: 100%;
    flex-grow: 1;
    min-width: 50px;
  }

  &:hover {
    @include themify($themes) {
      background-color: #FAFAFA;
      border-color: themed('color-ui-accent');
    }

  }
}
</style>
